Name:           qmmp-plugin-pack
Version:        1.4.0
Release:        %mkrel 2
Summary:        A set of extra plugins for Qmmp
Group:          Sound/Players
License:        GPLv2+
URL:            http://qmmp.ylsoftware.com/plugins.php
Source0:        http://qmmp.ylsoftware.com/files/plugins/%{name}-%{version}.tar.bz2

BuildRequires:  cmake
BuildRequires:  qttools5
BuildRequires:  yasm
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(libxmp)
BuildRequires:  pkgconfig(qmmp) >= 1.2.0
BuildRequires:  pkgconfig(taglib)

Requires:       qmmp

%description
Plugin pack is a set of extra plugins for Qmmp.

 * MPG123 - MPEG v1/2 layer1/2/3 decoder using libmpg123 library
 * FFap - enhanced Monkey's Audio (APE) decoder
   (24-bit samples and embedded cue support)
 * SRC - sample rate converter
 * XMP - module player with use of the libxmp library
 * Goom - audio visualization based on goom project
 * History - a tool for collection information information about
   listened tracks

%prep
%setup -q

%build
%cmake

%cmake_build

%install
%cmake_install

%files
%doc AUTHORS ChangeLog.rus README README.RUS
%license COPYING
%{_libdir}/qmmp*/Effect/*.so
%{_libdir}/qmmp*/Engines/*.so
%{_libdir}/qmmp*/Input/*.so
%{_libdir}/qmmp*/Transports/*.so
%{_libdir}/qmmp*/Visual/*.so
%{_metainfodir}/qmmp-plugin-pack.appdata.xml


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 1.4.0-2.mga8
+ Revision: 1659500
- Rebuild for new Qt5

* Thu Apr 30 2020 daviddavid <daviddavid> 1.4.0-1.mga8
+ Revision: 1573458
- new version: 1.4.0

* Sat Mar 28 2020 daviddavid <daviddavid> 1.3.2-1.mga8
+ Revision: 1561306
- new version: 1.3.2

* Sat Feb 15 2020 daviddavid <daviddavid> 1.3.1-2.mga8
+ Revision: 1526882
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Jun 30 2019 daviddavid <daviddavid> 1.3.1-1.mga8
+ Revision: 1416338
- new version: 1.3.1

* Mon Apr 01 2019 umeabot <umeabot> 1.3.0-2.mga7
+ Revision: 1384231
- Qt5 Rebuild

* Thu Feb 14 2019 daviddavid <daviddavid> 1.3.0-1.mga7
+ Revision: 1366841
- new version: 1.3.0

* Sun Feb 10 2019 daviddavid <daviddavid> 1.2.4-1.mga7
+ Revision: 1365118
- initial package qmmp-plugin-pack

